/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kdirnotify.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KDIRNOTIFY_STUB__
#define __KDIRNOTIFY_STUB__

#include <dcopstub.h>
#include <kurl.h>
#include <dcopobject.h>


class KDirNotify_stub : virtual public DCOPStub
{
public:
    KDirNotify_stub( const QCString& app, const QCString& id );
    KDirNotify_stub( DCOPClient* client, const QCString& app, const QCString& id );
    virtual ASYNC FilesAdded( const KURL& directory );
    virtual ASYNC FilesRemoved( const KURL::List& fileList );
    virtual ASYNC FilesChanged( const KURL::List& fileList );
    virtual ASYNC FileRenamed( const KURL& src, const KURL& dst );
};


#endif
